<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/bg_gray"
    android:orientation="vertical">

    <include
        layout="@layout/title"/>
    <include
        android:id="@+id/empty_view"
        layout="@layout/empty_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:scrollbars="none">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/ems_game_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_10"
                    android:layout_marginLeft="@dimen/content_padding_10"
                    android:layout_marginRight="@dimen/content_padding_10"
                    android:visibility="gone">
                    <TextView
                        android:id="@+id/ems_left_tv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="平台·用户须知"
                        android:gravity="center"
                        android:ems="2"
                        android:textColor="#D3AF57"
                        android:background="@drawable/sp_bg_black_radius"
                        android:paddingTop="@dimen/content_padding_10"
                        android:paddingBottom="@dimen/content_padding_10"
                        android:paddingLeft="@dimen/content_padding_8"
                        android:paddingRight="@dimen/content_padding_8"
                        android:layout_marginRight="@dimen/common_margin_10"
                        android:layout_marginBottom="@dimen/content_padding_20"
                        android:layout_centerVertical="true"/>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_toRightOf="@+id/ems_left_tv"
                        android:layout_centerVertical="true">
                        <TextView
                            android:id="@+id/user_know_one_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/user_know_one"
                            android:layout_toRightOf="@+id/ems_left_tv"/>
                        <TextView
                            android:id="@+id/user_know_two_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/user_know_two"
                            android:layout_below="@+id/user_know_one_tv"
                            android:layout_toRightOf="@+id/ems_left_tv"
                            android:layout_marginTop="@dimen/content_padding_5"/>
                        <TextView
                            android:id="@+id/user_know_three_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/user_know_three"
                            android:layout_below="@+id/user_know_two_tv"
                            android:layout_toRightOf="@+id/ems_left_tv"
                            android:layout_marginTop="@dimen/content_padding_5"/>
                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/user_know_four"
                            android:layout_below="@+id/user_know_three_tv"
                            android:layout_toRightOf="@+id/ems_left_tv"
                            android:layout_marginTop="@dimen/content_padding_5"/>
                    </LinearLayout>

                </RelativeLayout>
                <RelativeLayout
                    android:id="@+id/detail_item_layout_1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/content_padding_10"
                    android:layout_marginLeft="@dimen/content_padding_10"
                    android:layout_marginRight="@dimen/content_padding_10"
                    android:layout_marginBottom="@dimen/content_padding_10">
                    <android.support.constraint.ConstraintLayout
                        android:id="@+id/item_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@drawable/x_shap_shadow_bg_rectgangle_white"
                        android:padding="@dimen/content_padding_10">
                        <ImageView
                            android:id="@+id/icon_iv"
                            android:layout_width="70dp"
                            android:layout_height="70dp"
                            android:src="@drawable/icon_lj"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent"/>
                        <TextView
                            android:id="@+id/end_of_time_tv"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/content_padding_4"
                            android:layout_marginEnd="@dimen/content_padding_4"
                            android:layout_marginTop="55dp"
                            android:background="@drawable/shape_ash_stroke_white_solid_rectangle"
                            android:gravity="center"
                            android:lines="1"
                            android:textColor="#989898"
                            android:textSize="12sp"
                            android:visibility="gone"
                            app:layout_constraintEnd_toEndOf="@+id/icon_iv"
                            app:layout_constraintStart_toStartOf="@+id/icon_iv"
                            app:layout_constraintTop_toTopOf="parent"/>

                        <LinearLayout
                            android:id="@+id/name_date_layout"
                            android:layout_width="0dp"
                            android:layout_height="70dp"
                            android:orientation="vertical"
                            android:layout_marginStart="@dimen/content_padding"
                            app:layout_constraintEnd_toStartOf="@+id/price_layout"
                            app:layout_constraintStart_toEndOf="@+id/icon_iv"
                            >
                            <TextView
                                android:id="@+id/name_tv"
                                android:textSize="@dimen/text_size_15"
                                android:textColor="@color/black_444444"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:maxLines="2"
                                android:ellipsize="middle"
                                android:text=""/>
                            <View
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_weight="3"/>


                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:orientation="horizontal">

                                <TextView
                                    android:id="@+id/num_tv"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text=""
                                    android:textSize="@dimen/text_size_2"
                                    android:textColor="@color/txt_black_818181"/>
                                <TextView
                                    android:id="@+id/num_tv1"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="@dimen/content_padding"
                                    android:text=""
                                    android:textColor="@color/txt_black_818181"
                                    android:textSize="@dimen/text_size_2"
                                    android:visibility="gone" />
                            </LinearLayout>
                            <View
                                android:layout_width="match_parent"
                                android:layout_height="0dp"
                                android:layout_weight="1"/>
                            <TextView
                                android:id="@+id/date_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="111"
                                android:textSize="@dimen/text_size_2"
                                android:textColor="@color/txt_black_818181"/>
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/price_layout"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="@dimen/content_padding_5"
                            app:layout_constraintStart_toEndOf="@+id/name_date_layout"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="@+id/icon_iv"
                            app:layout_constraintBottom_toBottomOf="@+id/icon_iv"
                            android:gravity="right"
                            android:orientation="vertical">
                            <TextView
                                android:id="@+id/price_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text=""
                                android:textColor="@color/txt_red"
                                android:textSize="@dimen/text_size_20"
                                android:layout_gravity="center_horizontal"/>
                            <TextView
                                android:id="@+id/task_detail_reward"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="任务奖励"
                                android:textSize="@dimen/text_size_2"
                                android:layout_gravity="center_horizontal"
                                android:textColor="@color/txt_black_818181"/>
                            <TextView
                                android:id="@+id/task_detail_cancel"
                                style="@style/style_button_find"
                                android:text="取消任务"
                                android:textSize="@dimen/text_size_2"
                                android:visibility="gone"/>
                            <TextView
                                android:id="@+id/detail_task_tv"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="任务截图"
                                android:minWidth="@dimen/view_size_73"
                                android:textColor="@color/white"
                                android:textSize="@dimen/text_size_12"
                                android:gravity="center"
                                android:padding="@dimen/content_padding_3"
                                android:layout_alignParentRight="true"
                                android:background="@drawable/sp_bg_gradient_rectangle_yellow"
                                android:visibility="gone"
                                android:layout_marginTop="@dimen/content_padding_8"
                                android:layout_alignParentBottom="true"/>
                        </LinearLayout>

                    </android.support.constraint.ConstraintLayout>
                    <LinearLayout
                        android:id="@+id/detail_shrae_friend_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:layout_below="@+id/item_layout"
                        android:padding="@dimen/content_padding_10"
                        android:background="@drawable/sp_bg_blue_solid_gray"
                        android:visibility="gone">
                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:text="邀请好友完成任务，可额外获取任务奖励的20%哦!"
                            style="@style/nomal_txt_style_13"
                            android:layout_gravity="center_vertical"
                            android:gravity="center_vertical"
                            android:paddingRight="@dimen/content_padding_small"/>
                        <TextView
                            android:id="@+id/detail_share_friend_tv"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="发送给好友"
                            android:textColor="@color/blue_34a6e7"
                            android:textSize="@dimen/text_size_13"
                            android:layout_gravity="center_vertical"
                            android:paddingLeft="@dimen/common_margin_10"
                            android:paddingRight="@dimen/common_margin_10"
                            android:paddingBottom="@dimen/tag_vertical_spacing"
                            android:paddingTop="@dimen/tag_vertical_spacing"
                            android:background="@drawable/sp_appointment_bg"/>
                    </LinearLayout>
                </RelativeLayout>

                <com.sheep.gamegroup.util.MyListview
                    android:id="@+id/detail_task_recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:scrollbars="none"
                    android:listSelector="@color/transparent"
                    android:divider="@null"
                    android:layout_marginStart="@dimen/content_padding_10"
                    android:layout_marginEnd="@dimen/content_padding_10"
                    android:visibility="visible"/>

                <com.sheep.gamegroup.util.MyListview
                    android:id="@+id/detail_task_listview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:scrollbars="none"
                    android:listSelector="@color/transparent"
                    android:divider="@null"
                    android:background="@drawable/x_shap_shadow_bg_rectgangle_white"
                    android:padding="@dimen/content_padding_10"
                    android:layout_margin="@dimen/content_padding_10"
                    android:visibility="gone"/>

                <LinearLayout
                    android:id="@+id/detail_item_layout_2"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/x_shap_shadow_bg_rectgangle_white"
                    android:padding="@dimen/content_padding_20"
                    android:layout_marginLeft="@dimen/content_padding_10"
                    android:layout_marginRight="@dimen/content_padding_10"
                    android:layout_marginTop="@dimen/content_padding_10"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="任务说明"
                        style="@style/nomal_txt_style"
                        android:layout_marginBottom="@dimen/content_padding_small"/>

                    <com.tencent.smtt.sdk.WebView
                        android:id="@+id/web_text"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"/>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/detail_item_layout_3"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@drawable/x_shap_shadow_bg_rectgangle_white"
                    android:padding="@dimen/content_padding_20"
                    android:layout_marginLeft="@dimen/content_padding_10"
                    android:layout_marginRight="@dimen/content_padding_10"
                    android:layout_marginTop="@dimen/content_padding_10"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="任务进度"
                        style="@style/nomal_txt_style"
                        android:layout_marginBottom="@dimen/content_padding_small"/>

                    <LinearLayout
                        android:id="@+id/ll_infos"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                    </LinearLayout>
                </LinearLayout>
                <!--用户操作-->
                <include
                    layout="@layout/taskdetail_item_user_use"/>
                <!--温馨提示-->
                <include
                    layout="@layout/taskdetail_item_supplement_explain"/>
            </LinearLayout>
        </android.support.v4.widget.NestedScrollView>


        <LinearLayout
            android:id="@+id/bottom_btn_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="?attr/actionBarSize"
            android:background="@color/background_light_gray"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/btn_task_item"
                style="@style/style_button"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:text="下载游戏"/>

            <TextView
                android:id="@+id/btn_up_imag"
                style="@style/style_button"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="1"
                android:text="上传截图"/>
        </LinearLayout>
    </LinearLayout>



</LinearLayout>
